%
% Complex Gain Generator base class
%

%
% This function allows public members to be accessed
%
function val = get( c, prop_name )

switch prop_name 
    case 'blockSize'
        val = c.blockSize;
    case 'fDts'
        val = c.fDts;
    case 'randomSeed'
        val = c.randomSeed;
    case 'Kfactor'
        val = c.Kfactor;
     
    otherwise
        error([prop_name,' is not a valid property.'])
end

