
%
% Coloring filter used to create white noise samples that have the power spectrum
% corresponding to isotropic scattering.
% NOTE: This is not the actual filter. The function has to be integrated from 0 to pi/2.
%

function hn = coloringfilter( t, u )

hn = sqrt( cos( t ) ) .* cos( 2*pi*u*sin( t ) );