
%
% Complex Gain Generator base class
%


%
% Constructor. 
%
function c = ComplexGainGen( blockSize, fDts, Kfactor, randomSeed )

%
% arguments are,
%   blockSize: determines the number of samples processed at one time.
%   fDts: (fD * ts) normalized sample spacing    
%   Kfactor: used for ricean fading
%   radnomSeed: seed used for random number generation
%
    c.blockSize = blockSize;
    c.fDts      = fDts;
    c.Kfactor   = Kfactor;
    c.randomSeed = randomSeed;
    
    c = class( c, 'ComplexGainGen');
